Subject: Re: git and bzr

From: Jakub Narebski <[email-masked]>
Date: Thu, 30 Nov 2006 12:58:53 +0100

Nguyen Thai Ngoc Duy wrote:

> On 11/30/06, Johannes Schindelin <[email-masked]> wrote:
>> But here's an idea: tell the user that she has to tell git-commit which
>> files she wants committed. Yes! That's it. Just tell it the friggin'
>> files. And if you are a lazy bum, and want to commit _all_ modified
>> files, git has a nice shortcut for ya: "-a".
> 
> It reminds me Microsoft Office Assistant :-) Let's make "git assistant
> mode" that tries hard to guess user's desires and give them guidance.
> Once they get used to git, they can disable that mode and back to
> "plain git".

The 'givor' (pun on Vi 'vigor') or 'gitor', or 'gator'.

$ git commit
[...]
nothing to commit
$ givor
$ git commit
Givor: You haven't marked any file for commit using "git-update-index <file>"
Givor: and you didn't provide files to commit with "git commit <file>"
Givor: so I assume that you wanted to commit all changed files
Givor: You can use "git commit -a" for that (-a is for --all)

;-)
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git